Subject: bug#11305: closed (Re: bug#11305: df: misaligned table header depending on the locale)

From: [email-masked] (GNU bug Tracking System)
Date: Sun, 22 Apr 2012 07:40:03 +0000

Your bug report

#11305: df: misaligned table header depending on the locale

which was filed against the coreutils package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
11305: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=11305
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#11305: df: misaligned table header depending on the locale
From: Jim Meyering <[email-masked]>
To: Vincent Ramos <[email-masked]>
Cc: [email-masked]
Date: Sun, 22 Apr 2012 09:39:04 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

tags 11305 notabug
thanks

Vincent Ramos wrote:
> I use df on a daily basis under Ubuntu 11.10 (GNU/Linux
> 3.0.0-19-generic-pae i686). My df version is df (GNU coreutils) 8.5.
>
> When I use it in a French locale, the table header is badly aligned whereas
> with the English one, the alignment is correct:
>
> $ export LC_ALL=fr_FR.UTF8
> $ df
> Sys. de fichiers            Taille  Uti. Disp. Uti% Monté sur
> /dev/sda5             268G  181G   73G  72% /
> udev                  1,9G  4,0K  1,9G   1% /dev
> tmpfs                 775M  1,1M  774M   1% /run
> none                  5,0M     0  5,0M   0% /run/lock
> none                  1,9G  1,1M  1,9G   1% /run/shm

Thank you for the report.

However, 8.5 is getting rather old.
The latest is 8.16, and that bug has been fixed since 8.11.

Subject: df: misaligned table header depending on the locale
From: Vincent Ramos <[email-masked]>
To: [email-masked]
Date: Sat, 21 Apr 2012 17:55:34 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi,

I use df on a daily basis under Ubuntu 11.10 (GNU/Linux
3.0.0-19-generic-pae i686). My df version is df (GNU coreutils) 8.5.

When I use it in a French locale, the table header is badly aligned whereas
with the English one, the alignment is correct:

$ export LC_ALL=fr_FR.UTF8
$ df
Sys. de fichiers            Taille  Uti. Disp. Uti% Monté sur
/dev/sda5             268G  181G   73G  72% /
udev                  1,9G  4,0K  1,9G   1% /dev
tmpfs                 775M  1,1M  774M   1% /run
none                  5,0M     0  5,0M   0% /run/lock
none                  1,9G  1,1M  1,9G   1% /run/shm

$ export LC_ALL=en_GB.utf8 # Works with other locales like POSIX, C.UTF-8,
and so on.
$ df
Filesystem            Size  Used Avail Use% Mounted on
/dev/sda5             268G  181G   73G  72% /
udev                  1.9G  4.0K  1.9G   1% /dev
tmpfs                 775M  1.1M  774M   1% /run
none                  5.0M     0  5.0M   0% /run/lock
none                  1.9G  1.1M  1.9G   1% /run/shm

It can be annoying to read with larger fstabs, especially with 1-K blocks:

Sys. de fichiers           1K-blocs   Utilisé    Dispo. Uti% Monté sur
/dev/sda1             28834716   8161920  19208072  30% /
none                   1024196       356   1023840   1% /dev
none                   1028420        12   1028408   1% /dev/shm
none                   1028420       132   1028288   1% /var/run
none                   1028420         0   1028420   0% /var/lock
none                   1028420         0   1028420   0% /lib/init/rw
/dev/sda6            276812568  61503260 212497052  23% /home
/dev/sdd1            480720592 258354472 197946844  57% /media/mnemo
/dev/sdc1              2009784    144864   1864920   8% /media/disk-1
/dev/sdb1              1993812   1683556    310256  85% /media/disk-2

Do other non-English locales suffer from the same misalignment?

Thanks,

Vincent Ramos